ECHO OFF

REM ************************************************************************
REM * INSTALL.BAT                              Copyright (C) Damian Walker *
REM *----------------------------------------------------------------------*
REM * Astrolib - installation batch file for MS-DOS                        *
REM *----------------------------------------------------------------------*
REM * Version: 1.0.0;  Author: Damian G Walker;  Date: 22-Nov-1999         *
REM ************************************************************************

REM
REM Check that the binaries exist
REM
IF NOT EXIST LIBASTRO.A GOTO noexe

REM
REM Set the destination directory
REM
SET DEST=C:\DJGPP
IF NOT :%1: == :: SET DEST=%1

REM
REM Echo message and give user a chance to break
REM
ECHO Astrolib 1.0.0 Install for MS-DOS
ECHO.
ECHO You have asked to install Astrolib under the directory %DEST%.
ECHO If you want to change this, press BREAK now and re-run this batch file
ECHO with the destination directory as a parameter.
ECHO.
PAUSE

REM
REM Create the directory and copy the files
REM
IF NOT EXIST %DEST% MKDIR %DEST%
IF NOT EXIST %DEST%\LIB MKDIR %DEST%\LIB
COPY LIBASTRO.A %DEST%\LIB
IF NOT EXIST %DEST%\INCLUDE MKDIR %DEST%\INCLUDE
COPY ASTROWAR.H %DEST%\INCLUDE
COPY ASTROLIB.H %DEST%\INCLUDE
IF NOT EXIST %DEST%\INCLUDE\ASTROWAR MKDIR %DEST%\INCLUDE\ASTROWAR
COPY DETAIL.H %DEST%\INCLUDE\ASTROWAR
COPY EMPIRE.H %DEST%\INCLUDE\ASTROWAR
COPY FLEETS.H %DEST%\INCLUDE\ASTROWAR
COPY GAMLST.H %DEST%\INCLUDE\ASTROWAR
COPY ORDERS.H %DEST%\INCLUDE\ASTROWAR
COPY PLANET.H %DEST%\INCLUDE\ASTROWAR
COPY REPORT.H %DEST%\INCLUDE\ASTROWAR
COPY TRANSN.H %DEST%\INCLUDE\ASTROWAR
IF EXIST ASTROLIB.PS COPY ASTROLIB.PS %DEST%\INCLUDE\ASTROWAR
GOTO done

REM
REM No executable...
REM
:noexe
ECHO There is no executable here.  Read the file INSTALL to build it.
GOTO end

REM
REM All done
REM
:done
ECHO Astrowar has been successfully installed.
IF NOT EXIST ASTROLIB.PS GOTO nomanual
ECHO Please read the manual ASTROLIB.PS for further instructions.
GOTO end
:nomanual
ECHO No manual was present.  You can find the manual on the web, at
ECHO Astrowar's home page (see README).

REM
REM End of batch file
REM
:end

