/*
 * config.h
 * Copyright (C) Damian Walker 2000
 *
 * Astroserv - Configuration File Maintenance (Header)
 *
 * $Id: config.h,v 1.3 2001/02/15 16:38:22 damian Exp $
 *
 * $Log: config.h,v $
 * Revision 1.3  2001/02/15 16:38:22  damian
 * Cleaned up logging and screen output
 *
 * Revision 1.2  2000/07/27 09:31:23  damian
 * Cosmetic changes to heading comments
 *
 * Revision 1.1.1.1  2000/07/27 09:18:08  damian
 * Initial release of Astroserv
 *
 * Revision 1.1  2000/05/31 10:17:51  damian
 * Initial revision
 *
 */

#ifndef _CONFIG_H_
#define _CONFIG_H_

/*
 * Function Prototypes
 */

result config_open (char *path);
void config_close (void);
result config_read (char *path, int *line);
result config_write (char *path);
char *config_setfolder (char *folder);
char *config_setlogfile (char *logfile);
char *config_setmailprog (char *mailprog);
char *config_setlockfile (char *lockfile);
int config_setloglevel (int loglevel);
char *config_getfolder (char *folder);
char *config_getlogfile (char *logfile);
char *config_getmailprog (char *mailprog);
char *config_getlockfile (char *lockfile);
int config_getloglevel (void);

/*
 * End of Header
 */

#endif
