/*
 * log.h
 * Copyright (C) Damian Walker 1996
 *
 * Centurion Log File Handling Library, version 2.00. Header.
 *
 * $Id: log.h,v 1.3 2001/02/15 16:38:25 damian Exp $
 *
 * $Log: log.h,v $
 * Revision 1.3  2001/02/15 16:38:25  damian
 * Cleaned up logging and screen output
 *
 * Revision 1.2  2000/07/27 09:31:35  damian
 * Cosmetic changes to heading comments
 *
 * Revision 1.1.1.1  2000/07/27 09:18:10  damian
 * Initial release of Astroserv
 *
 * Revision 1.1  2000/05/31 10:17:51  damian
 * Initial revision
 *
 */


/* Defined Constants ******************************************/


#define LOGERROR   0x0001   /* Fatal error */
#define LOGWARNING 0x0010   /* Non-fatal warning */
#define LOGMAJOR   0x0100   /* Major status message */
#define LOGMINOR   0x1000   /* Minor status message */
#define LOGTRIVIAL 0x4000   /* Trivial messages */
#define LOGDEBUG   0x8000   /* Debug messages */


/* Enumerated Types *******************************************/


enum logresult {LOGOK, LOGFILEERROR, LOGSTATUSERROR};


/* Function Prototypes ****************************************/


/* openlog() - open and initialise the log file */
short openlog(char *filename, char *program);

/* setlogstatus() - set the log status bits */
void setlogstatus(short logstatus);

/* setlogchars() - set the log characters */
short setlogchars(char *logchars);

/* writelog() - write a line to the log file */
short writelog(short logstatus, char *logline);

/* closelog() - close the log file */
short closelog(void);
