/*
 * plytxt.c
 * Copyright (C) Damian Walker 1997
 *
 * Astroserv - temporary text I/O
 *
 * $Id: plytxt.c,v 1.2 2000/07/27 09:31:40 damian Exp $
 *
 * $Log: plytxt.c,v $
 * Revision 1.2  2000/07/27 09:31:40  damian
 * Cosmetic changes to heading comments
 *
 * Revision 1.1.1.1  2000/07/27 09:18:11  damian
 * Initial release of Astroserv
 *
 * Revision 1.1  2000/05/31 10:17:51  damian
 * Initial revision
 *
 */


/* included headers *******************************************/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "astrosrv.h"


/* globals ****************************************************/


char plytxt_path[72]; /* path to game */


/* level 0 routines *******************************************/


/* plytxt_open() - initialise the library */
result plytxt_open(char *path)
{
    FILE *textfile; /* file handle */
    char  filename[128]; /* filename */

    /* attempt to clear file */
    sprintf(filename, "%stestfile.tmp", path);
    if(( textfile = fopen(filename, "w") ) == NULL) return R_FILE;
    strcpy(plytxt_path, path);
    fclose(textfile);
    remove(filename);
    return R_OK;
}

/* plytxt_write() - add text to the file */
result plytxt_write(long number, char *text)
{
    FILE *textfile;      /* file handle */
    char  filename[128]; /* name of text file */

    sprintf(filename, "%s%08lx.tmp", plytxt_path, number);
    if(( textfile = fopen(filename, "ab") ) == NULL) return R_FILE;
    fputs(text, textfile);
    fclose(textfile);
    return R_OK;
}

/* read text from the file */
char *plytxt_read (long number) {

  /* local variables */
  FILE *textfile; /* file handle */
  char *text, /* text to return */
    *ptr, /* pointer used in word wrapping */
    *space, /* where was the last space? */
    filename[128]; /* name of player's file */
  long size; /* size of text */
  int chars; /* number of characters on the current line */

  /* read the text from the file */
  sprintf(filename, "%s%08lx.tmp", plytxt_path, number);
  if(( textfile = fopen(filename, "rb") ) == NULL) return NULL;
  fseek(textfile, 0, SEEK_END);
  if( (text = malloc( size = ftell(textfile) + 1 )) == NULL )
    return NULL;
  fseek(textfile, 0, SEEK_SET);
  text[ fread(text, 1, size, textfile) ] = '\0';
  fclose(textfile);
  remove(filename);

  /* word wrap the text */
  chars = 0; space = NULL;
  for (ptr = text; *ptr; ++ptr, ++chars)
    if (*ptr == '\n') {
      chars = 0; /* new line */
      space = NULL; /* no spaces yet on this line */
    } else if (*ptr == ' ')
      space = ptr;
    else if (chars >= 72 && space) {
      *space = '\n';
      chars = ptr - space;
      space = NULL;
    }

  /* return the text */
  return text;

}

/* plytxt_close() - close the library and remove the file */
void plytxt_close(void)
{
}
