/*
 * scrlog.h
 * Copyright (C) Damian Walker 2000
 *
 * Astroserv - Screen and Log Output Module - Header
 *
 * $Id: scrlog.h,v 1.3 2001/02/15 16:38:26 damian Exp $
 *
 * $Log: scrlog.h,v $
 * Revision 1.3  2001/02/15 16:38:26  damian
 * Cleaned up logging and screen output
 *
 * Revision 1.2  2000/07/27 09:31:43  damian
 * Cosmetic changes to heading comments
 *
 * Revision 1.1.1.1  2000/07/27 09:18:12  damian
 * Initial release of Astroserv
 *
 * Revision 1.1  2000/05/31 10:17:51  damian
 * Initial revision
 *
 */

#ifndef _SCRLOG_H_
#define _SCRLOG_H_

/*
 * Function Prototypes
 */

result scrlog_open(void);
result scrlog_openlog(char *filename, short status);
void scrlog_close(void);
void scrlog_cannotopenlog(char *filename);
void scrlog_turnin(void);
void scrlog_trnout(void);
void scrlog_outofmemory(char *act);
void scrlog_badreturncode(result r, char *function);
void scrlog_badcommandinconfig(char *path, int line);
void scrlog_cannotreadconfig(char *path);
void scrlog_cannotwriteconfig(char *path);
void scrlog_configread(char *path);
void scrlog_cannotopendetail(char *path);
void scrlog_badcommandindetail(char *path);
void scrlog_detailread(char *path);
void scrlog_cannotopengamelist(char *path);
void scrlog_badfileingamelist(char *path, int line);
void scrlog_badlineingamelist(char *path, int line);
void scrlog_gamelistread(char *path);
void scrlog_gamelistempty(char *path);
void scrlog_gamenotfound(char *gamename);
void scrlog_cannotwritegamelist(char *path);
void scrlog_cannotopenfolder(char *filename);
void scrlog_folderopened(char *filename);
void scrlog_scanning(void);
void scrlog_msgread(char *addr);
void scrlog_processingorder(char *ordertype);
void scrlog_badorder(int line);
void scrlog_replyposted(char *addr);
void scrlog_reportposted(char *addr);
void scrlog_cannotopenfile(char *path, char *file);
void scrlog_badheaderinfile(char *path, char *file);
void scrlog_fileopened(char *path, char *file);
void scrlog_fileexists(char *path, char *file);
void scrlog_cannotcreatefile(char *path, char *file);
void scrlog_filecreated(char *path, char *file);
void scrlog_finished(void);
void scrlog_error(void);
void scrlog_running(void);
void scrlog_help(void);
void scrlog_scancomplete(void);
void scrlog_processingreport(char *name);
void scrlog_readingorderfile(void);
void scrlog_reportposted(char *addr);
void scrlog_purgedfile(char *path, char *file);
void scrlog_messagedone(void);
void scrlog_donereports(void);
void scrlog_baduserdetails(long usernum);
void scrlog_badplayerdetails(char *ename);
void scrlog_eduser(void);
void scrlog_listheader(void);
void scrlog_listbody(long unum, char *addr);
void scrlog_listfooter(void);
void scrlog_useradd(long usernum);
void scrlog_useredit(long usernum);
void scrlog_userdelete(long usernum);
void scrlog_userlist(void);
void scrlog_edplyr(void);
void scrlog_plistheader(void);
void scrlog_plistbody(char *ename, long unum);
void scrlog_plistfooter(void);
void scrlog_playeradd(char *ename);
void scrlog_playeredit(char *ename);
void scrlog_playerdelete(char *ename);
void scrlog_playerlist(void);
void scrlog_debug (char *entry);

/*
 * End of Header
 */

#endif
