/*
 * user.h
 * Copyright (C) Damian Walker 2000
 *
 * Astroserv - User Database File Maintenance - Header
 *
 * $Id: user.h,v 1.2 2000/07/27 09:31:50 damian Exp $
 *
 * $Log: user.h,v $
 * Revision 1.2  2000/07/27 09:31:50  damian
 * Cosmetic changes to heading comments
 *
 * Revision 1.1.1.1  2000/07/27 09:18:14  damian
 * Initial release of Astroserv
 *
 * Revision 1.1  2000/05/31 10:17:52  damian
 * Initial revision
 *
 */

#ifndef _USER_H_
#define _USER_H_

/*
 * Structures
 */

typedef void user;

/*
 * Enumerated Types
 */

/* user index */
typedef enum {
  U_NONE,   /* read without index */
  U_NUMBER, /* read by number index */
  U_NAME,   /* read by name index */
  U_LAST    /* placeholder */
} uindex;

/*
 * function prototypes
 */

result user_open(char *path);
result user_create(char *path);
result user_close(void);
user *user_new(void);
void user_old(user *u);
void user_clear(user *u);
void user_setnumber(user *u, long number);
long user_getnumber(user *u);
void user_setaddr(user *u, char *addr);
char *user_getaddr(char *addr, user *u);
result user_write(user *u);
result user_first(user *u, uindex inum);
result user_next(user *u, uindex inum);
result user_prev(user *u, uindex inum);
result user_last(user *u, uindex inum);
result user_find(user *u, char *searchtext);
result user_delete(user *u);
int user_deleted(user *u);
result user_pack(char *path);

/*
 * End Of Include File
 */

#endif
