ECHO OFF

REM ************************************************************************
REM * INSTALL.BAT                              Copyright (C) Damian Walker *
REM *----------------------------------------------------------------------*
REM * Astrowar - installation batch file for MS-DOS                        *
REM *----------------------------------------------------------------------*
REM * Version: 1.0.3;  Author: Damian G Walker;  Date: 19-Nov-1999         *
REM ************************************************************************

REM
REM Check that the binaries exist
REM
IF NOT EXIST ASTROWAR.EXE GOTO noexe

REM
REM Set the destination directory
REM
SET DEST=C:\ASTROWAR
IF NOT :%1: == :: SET DEST=%1

REM
REM Echo message and give user a chance to break
REM
ECHO Astrowar 1.0.3 Install for MS-DOS
ECHO.
ECHO You have asked to install Astrowar to the directory %DEST%.
ECHO If you want to change this, press BREAK now and re-run this batch file
ECHO with the destination directory as a parameter.
ECHO.
PAUSE

REM
REM Create the directory and copy the files
REM
IF NOT EXIST %DEST% MKDIR %DEST%
COPY ASTROWAR.EXE %DEST%
COPY ASTROWAR.SAM %DEST%
COPY DETAIL.SAM %DEST%
COPY GAMELIST.SAM %DEST%
IF EXIST ASTROWAR.PS COPY ASTROWAR.PS %DEST%
GOTO done

REM
REM No executable...
REM
:noexe
ECHO There is no executable here.  Read the file INSTALL to build it.
GOTO end

REM
REM All done
REM
:done
ECHO Astrowar has been successfully installed.
IF NOT EXIST ASTROWAR.PS GOTO nomanual
ECHO Please read the manual ASTROWAR.PS for further instructions.
GOTO end
:nomanual
ECHO No manual was present.  You can find the manual on the web, at
ECHO Astrowar's home page (see README).

REM
REM End of batch file
REM
:end

